## python-osso 0.2-1osso5

=== examples/plugin/Makefile ===

CFLAGS=`pkg-config --cflags libosso glib-2.0`
LDFLAGS=`pkg-config --libs libosso glib-2.0`

all: libtestplugin.so

libtestplugin.so: testplugin.c
	gcc -shared testplugin.c -o libtestplugin.so $(CFLAGS) $(LDFLAGS)

testapp: exec_test.c
	gcc -o testapp exec_test.c $(CFLAGS) $(LDFLAGS)

clean:
	rm libtestplugin.so testapp

## python-osso 0.1-1osso4

=== debian/changelog ===
python-osso (0.1-1osso4) unstable; urgency=low

  * added shlib dependencies
  * enable "-mthumb" and "-msoft-abi=softfp" flags on gcc

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 6 Jun 2006 19:36:00 -0300

python-osso (0.1-1osso3) unstable; urgency=low

  * renamed documentation directory in development package

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed, 10 May 2006 17:49:00 -0300

python-osso (0.1-1osso2) unstable; urgency=low

  * Some packages adjustments
  * Recompile with 2.0rc7

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Thu, 5 May 2006 17:20:00 -0300

python-osso (0.1-1osso1) unstable; urgency=low

  * First python-osso release.

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Thu, 27 Apr 2006 17:45:00 -0300

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends: debhelper (>= 4.0.0), python2.4-gtk2-dev, python2.4-dev, libdbus-glib-1-dev, libosso-dev, libgtk2.0-dev, libpango1.0-dev, libglib2.0-dev
Standards-Version: 3.6.1

Package: python2.4-osso
Architecture: any
Depends: python2.4-gtk2, python2.4, libdbus-glib-1-2, libosso1, libgtk2.0-0, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
Description: Python bindings for Libosso library

Package: python2.4-osso-dev
Architecture: all
Depends: python2.4-osso (= ${Source-Version})
Description: Examples and header files for Python bindings for Libosso library

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.4

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

p_base=python$(PYVER)-osso
p_dev=python$(PYVER)-osso-dev

d=debian/tmp
d_base=debian/$(p_base)
d_dev=debian/$(p_dev)

ifeq ($(DEB_BUILD_ARCH),armel)
    CFLAGS=-Os -mthumb -mfloat-abi=softfp -Wall -Wstrict-prototypes
else
    CFLAGS=-Os -Wall -Wstrict-prototypes
endif

build: build-stamp
build-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" python$(PYVER) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	python$(PYVER) setup.py clean
	-rm -rf $(d_base) $(d_dev)
	-rm -rf build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	mkdir -p $(d)/usr
	python$(PYVER) setup.py install --prefix=$(d)/usr

	# base
	mkdir -p $(d_base)/usr
	mv $(d)/usr/lib $(d_base)/usr

	# dev
	mkdir -p $(d_dev)/usr/include/python-osso
	cp src/osso.h $(d_dev)/usr/include/python-osso
	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)
	cp examples/test_*.{py,desktop,service} $(d_dev)/usr/share/doc/$(p_dev)
	cp examples/install_dev_env.sh $(d_dev)/usr/share/doc/$(p_dev)

	# finish
	find $(d_base) $(d_dev) -name ".svn" | xargs rm -rf

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installman
	dh_link
	dh_strip
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_md5sums
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-osso 0.2-1osso1

=== debian/changelog ===
python-osso (0.2-1osso1) unstable; urgency=low

  * Osso split in small modules

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Fri, 1 Dec 2006 17:54:00 -0300

## python-osso 0.2-1osso2

=== debian/changelog ===
python-osso (0.2-1osso2) unstable; urgency=low

  * Osso rpc functions revised (closes #388, #389):
    - rpc_run and rpc_async_run now can send correctly rpc arguments
    - callback function of rpc_async_run now has an extra param: retval
      eg: def callbackfunc (interface, method, retval, userdata):

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Fri, 16 Jan 2007 14:50:00 -0300

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2-dev, python2.5-dev, libdbus-glib-1-dev, libosso-dev, libgtk2.0-dev, libpango1.0-dev, libglib2.0-dev
Standards-Version: 3.6.1

Package: python2.5-osso
Architecture: any
Depends: python2.5-gtk2, python2.5, libdbus-glib-1-2, libosso1, libgtk2.0-0, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
Description: Python bindings for Libosso library

Package: python2.5-osso-dev
Architecture: all
Depends: python2.5-osso (= ${Source-Version})
Description: Examples and header files for Python bindings for Libosso library

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-PYVER=2.4
+PYVER=2.5
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

## python-osso 0.2-1osso3

=== debian/changelog ===
python-osso (0.2-1osso3) unstable; urgency=low

  * Added support to osso-mime 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed,  9 May 2007 09:24:34 -0300

## python-osso 0.2-1osso4

=== debian/changelog ===
python-osso (0.2-1osso4) unstable; urgency=low

  * fix #919, #924, #928, #929 and #942 (Lauro Moura)
  * osso-ic support included (Lauro Moura)
  * new osso examples (Lauro Moura)
  * osso-help support included (Luciano Wolf)

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Mon, 25 Jun 2007 16:34:30 -0300

## python-osso 0.2-1osso5

=== debian/changelog ===
python-osso (0.2-1osso5) unstable; urgency=low

  * Added new examples to -dev package
  * Base package with .pyo instead of .py or .pyc

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue, 23 Oct 2007 17:43:20 -0300

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,15 @@
 
 	mkdir -p $(d)/usr
 	python$(PYVER) setup.py install --prefix=$(d)/usr
+	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/site-packages/osso
+	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic
 
 	# base
 	mkdir -p $(d_base)/usr
+	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.py
+	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.pyc
+	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic/*.py
+	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic/*.pyc
 	mv $(d)/usr/lib $(d_base)/usr
 
 	# dev
@@ -51,6 +57,7 @@
 	cp src/osso.h $(d_dev)/usr/include/python-osso
 	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)
 	cp examples/test_*.{py,desktop,service} $(d_dev)/usr/share/doc/$(p_dev)
+	cp -R examples/{application,autosave,device-state,helplib,mime,plugin,rpc,statesaving,statusbar,systemnote,timenotification} $(d_dev)/usr/share/doc/$(p_dev)
 	cp examples/install_dev_env.sh $(d_dev)/usr/share/doc/$(p_dev)
 
 	# finish

## python-osso 0.2-1osso6

=== debian/changelog ===
python-osso (0.2-1osso6) unstable; urgency=low

  * Adding alarmd.py by Gene Cash.

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Tue, 18 Dec 2007 16:15:43 -0300

## python-osso 0.3-1osso2

=== debian/changelog ===
python-osso (0.3-1osso2) unstable; urgency=low

  * mime and ic modules removed 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Thu,  2 Aug 2007 10:33:13 -0300

python-osso (0.3-1osso1) unstable; urgency=low

  * support to cairo

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 30 May 2007 15:40:24 -0300

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends: debhelper (>= 4.0.0), python2.5-gtk2-dev (>= 2.10.3-1osso4), python2.5-dev (>= 2.5.1-1osso2), libdbus-glib-1-dev, libosso-dev, libgtk2.0-dev, libpango1.0-dev, libglib2.0-dev
Standards-Version: 3.6.1

Package: python2.5-osso
Architecture: any
Depends: python2.5-gtk2 (>= 2.10.3-1osso4), python2.5 (>= 2.5.1-1osso2), libdbus-glib-1-2, libosso1, libgtk2.0-0, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
Description: Python bindings for Libosso library

Package: python2.5-osso-dev
Architecture: all
Depends: python2.5-osso (= ${Source-Version})
Description: Examples and header files for Python bindings for Libosso library

## python-osso 0.3-1osso3

=== debian/changelog ===
python-osso (0.3-1osso3) unstable; urgency=low

  * Fixed __init__.py - Do not import help module.

 -- Lauro Moura Neto <lauro.neto@openbossa.org>  Fri, 26 Oct 2007 14:45:41 -0300

## python-osso 0.3-1osso4

=== debian/changelog ===
python-osso (0.3-1osso4) unstable; urgency=low

  * Adding alarmd.py from Gene Cash
  * Fix in AutoSave (None as default argument)
  * Fix parameter order in DeviceState.set_device_state_cb
  * Fix default parameter in DeviceState.set_device_state_cb
  * Added examples from bora to -dev package 

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Fri, 28 Dec 2007 17:50:29 -0300

=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,12 @@
 	mkdir -p $(d)/usr
 	python$(PYVER) setup.py install --prefix=$(d)/usr
 	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/site-packages/osso
-	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic
 
 	# base
 	mkdir -p $(d_base)/usr
 	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.py
 	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.pyc
-	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic/*.py
-	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/ic/*.pyc
+
 	mv $(d)/usr/lib $(d_base)/usr
 
 	# dev
@@ -57,7 +55,8 @@
 	cp src/osso.h $(d_dev)/usr/include/python-osso
 	mkdir -p $(d_dev)/usr/share/doc/$(p_dev)
 	cp examples/test_*.{py,desktop,service} $(d_dev)/usr/share/doc/$(p_dev)
-	cp -R examples/{application,autosave,device-state,helplib,mime,plugin,rpc,statesaving,statusbar,systemnote,timenotification} $(d_dev)/usr/share/doc/$(p_dev)
+	cp examples/alarm.py $(d_dev)/usr/share/doc/$(p_dev)
+	cp -R examples/{application,autosave,device-state,plugin,rpc,statesaving,statusbar,systemnote,timenotification} $(d_dev)/usr/share/doc/$(p_dev)
 	cp examples/install_dev_env.sh $(d_dev)/usr/share/doc/$(p_dev)
 
 	# finish

## python-osso 0.3-2maemo3

=== examples/application/Makefile ===


install:
	cp osso_test_app.py /tmp
	cp osso_test_app.service /usr/share/dbus-1/services/

uninstall:
	rm /tmp/osso_test_app.py
	rm /usr/share/dbus-1/services/osso_test_app.service

=== debian/changelog ===
python-osso (0.3-2maemo3) unstable; urgency=low

  * Put the pymaemo-developers mailing list address in "Maintainer" field.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed, 01 Apr 2009 12:00:42 -0400

python-osso (0.3-2maemo2) unstable; urgency=low

  * Change ${Source-Version} to ${source:Version}, because the former is deprecated
  * Change version of python-osso-dev dependency from (= ${source:Version})
    to (>= ${source:Version})

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Thu, 27 Nov 2008 08:22:27 -0400

python-osso (0.3-2maemo1) unstable; urgency=low

  * Build-Depends changes:
    - python2.5-gtk2-dev -> python-gtk2-dev 
    - python2.5-dev -> python-all-dev
  * Package python2.5-osso is now python-osso
  * python-osso Depends changes:
    - python2.5-gtk2 -> python-gtk2
    - python2.5 -> python-all
  * Package python2.5-osso-dev is now python-osso-dev
  * python-osso-dev Depends changes:
    - python2.5-osso -> python-osso
  * Modify p_base and p_dev in debian/rules to python-osso and
    python-osso-dev, respectively.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Wed, 19 Nov 2008 13:58:39 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-p_base=python$(PYVER)-osso
-p_dev=python$(PYVER)-osso-dev
+p_base=python-osso
+p_dev=python-osso-dev
 
 d=debian/tmp
 d_base=debian/$(p_base)

## python-osso 0.3-2maemo4

=== examples/plugin/Makefile ===

CFLAGS=`pkg-config --cflags libosso glib-2.0`
LDFLAGS=`pkg-config --libs libosso glib-2.0`

# This can be found through pkg-config osso-af-desktop --variable=hildondesktoplibdir
PLUGIN_DIR=/usr/lib/hildon-control-panel

all: libtestplugin.so testapp

libtestplugin.so: testplugin.c
	gcc -shared testplugin.c -o libtestplugin.so $(CFLAGS) $(LDFLAGS)

testapp: exec_test.c
	gcc -o testapp exec_test.c $(CFLAGS) $(LDFLAGS)

install:
	cp libtestplugin.so $(PLUGIN_DIR)

uninstall:
	rm $(PLUGIN_DIR)/libtestplugin.so

clean:
	rm libtestplugin.so testapp

=== examples/rpc/Makefile ===

SERVICE_DIR=/usr/share/dbus-1/services

install:
	cp osso_test_receiver.service $(SERVICE_DIR)
	cp osso_test_receiver.py /tmp
	chmod +x /tmp/osso_test_receiver.py
uninstall:
	rm $(SERVICE_DIR)/osso_test_receiver.service 
	rm /tmp/osso_test_receiver.py

=== debian/changelog ===
python-osso (0.3-2maemo4) unstable; urgency=low

  * Remove hardcoded 'site-packages' paths allowing install without
    problems in either python2.5 ou python2.6
  * Use "pyversions -vd" instead of a fixed Python version in debian/rules
  * Fix osso.Context() segfault (Fixes: MB#4782)

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue,  9 Jun 2009 15:49:08 -0400

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
Build-Depends: debhelper (>= 4.0.0), python-gtk2-dev, python-all-dev, libdbus-glib-1-dev, libosso-dev, libgtk2.0-dev, libpango1.0-dev, libglib2.0-dev
Standards-Version: 3.6.1

Package: python-osso
Architecture: any
Depends: python-gtk2, python-all, libdbus-glib-1-2, libosso1, libgtk2.0-0, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
Description: Python bindings for Libosso library

Package: python-osso-dev
Architecture: all
Depends: python-osso (>= ${source:Version})
Description: Examples and header files for Python bindings for Libosso library

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-PYVER=2.5
+PYVER=$(shell pyversions -vd)
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -41,12 +41,12 @@
 
 	mkdir -p $(d)/usr
 	python$(PYVER) setup.py install --prefix=$(d)/usr
-	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/site-packages/osso
+	python$(PYVER) -OO -m compileall -d / -l $(d)/usr/lib/python$(PYVER)/*-packages/osso
 
 	# base
 	mkdir -p $(d_base)/usr
-	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.py
-	rm $(d)/usr/lib/python$(PYVER)/site-packages/osso/*.pyc
+	rm -f $(d)/usr/lib/python$(PYVER)/{site,dist}-packages/osso/*.py
+	rm -f $(d)/usr/lib/python$(PYVER)/{site,dist}-packages/osso/*.pyc
 
 	mv $(d)/usr/lib $(d_base)/usr

## python-osso 0.3-2maemo5

=== debian/changelog ===
python-osso (0.3-2maemo5) unstable; urgency=low

  * debian/control:
    - Add Provides/Replaces keyword for python2.5-osso (Fixes: #4977)

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri, 11 Sep 2009 08:38:20 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
 
 Package: python-osso
 Architecture: any
+Provides: python2.5-osso
+Replaces: python2.5-osso
 Depends: python-gtk2, python-all, libdbus-glib-1-2, libosso1, libgtk2.0-0, libpango1.0-0, libglib2.0-0, ${shlibs:Depends}
 Description: Python bindings for Libosso library
 
 Package: python-osso-dev
 Architecture: all
+Provides: python2.5-osso-dev
+Replaces: python2.5-osso-dev
 Depends: python-osso (>= ${source:Version})
 Description: Examples and header files for Python bindings for Libosso library

## python-osso 0.4-0maemo1

=== debian/changelog ===
python-osso (0.4-0maemo1) unstable; urgency=low

  * Rewrite using Cython:
    + Add a few more missing functions
    + Add unit tests for almost all implemented API

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Fri, 25 Sep 2009 21:03:08 -0400

python-osso (0.3-2maemo6) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Use CDBS for packaging.
  
  [ Anderson Lizardo ]
  * osso.h: add missing _load_exceptions() prototype.
  * debian/rules: also remove .py[co] files on cleanup.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Fri, 25 Sep 2009 11:35:03 -0400

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, cython, python-dev, python-central, libosso-dev, python-gobject-dev
XS-Python-Version: all
Standards-Version: 3.6.1

Package: python-osso
Architecture: any
Provides: python2.5-osso
Replaces: python2.5-osso
Depends: ${shlibs:Depends}
XB-Python-Version: all
Description: Python bindings for libosso library

=== debian/rules ===
#!/usr/bin/make -f

# workaround to force using pythonX.Y inside Scratchbox
# this is a internal variable from /usr/share/cdbs/1/class/python-distutils.mk
cdbs_python_compile_version = $(shell pyversions -vd)

DEB_PYTHON_SYSTEM = pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_DH_INSTALL_ARGS := --sourcedir=$(DEB_DESTDIR)
DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0

clean::
	rm -f $(addsuffix .c,$(basename $(wildcard osso/*.pyx)))
	find . -name '*.py[co]' -exec rm '{}' ';'
	rm -rf build

## python-osso 0.4-0maemo2

=== debian/changelog ===
python-osso (0.4-0maemo2) unstable; urgency=low

  * debian/control: Add missing ${python:Depends}

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Sat, 14 Nov 2009 13:47:45 -0400

## python-osso 0.4-0maemo3

=== debian/changelog ===
python-osso (0.4-0maemo3) karmic; urgency=low

  * Update workaround to force using real /usr/bin/python inside Scratchbox.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Tue, 13 Apr 2010 14:44:30 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 
-# workaround to force using pythonX.Y inside Scratchbox
-# this is a internal variable from /usr/share/cdbs/1/class/python-distutils.mk
-cdbs_python_compile_version = $(shell pyversions -vd)
+# workaround to force using real /usr/bin/python inside Scratchbox
+PATH := /usr/bin:$(PATH)
+SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
+export PATH SBOX_REDIRECT_IGNORE
 
 DEB_PYTHON_SYSTEM = pycentral

## python-osso 0.4-0maemo4

=== debian/changelog ===
python-osso (0.4-0maemo4) unstable; urgency=low

  * Support cython 0.12 string comparison

 -- Lauro Neto <lauro.neto@openbossa.org>  Mon, 24 May 2010 15:06:10 -0300

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,6 @@
 Architecture: any
 Provides: python2.5-osso
 Replaces: python2.5-osso
-Depends: ${shlibs:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}
 XB-Python-Version: all
 Description: Python bindings for libosso library

## python-osso 0.4-0maemo5

=== debian/changelog ===
python-osso (0.4-0maemo5) unstable; urgency=low

  * Add debug package.
  * Fix setup.py for packages using -pthread.
  * Now depends on python-all-dev to build.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 20 Jul 2010 14:46:15 -0300

=== debian/control ===
Source: python-osso
Priority: optional
Section: python
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, cython, cython-dbg, python-all-dev, python-all-dbg, python-central, libosso-dev, libosso1-dbg, python-gobject-dev, python-gobject-dbg
XS-Python-Version: all
Standards-Version: 3.6.1

Package: python-osso
Architecture: any
Provides: python2.5-osso
Replaces: python2.5-osso
Depends: ${python:Depends}, ${shlibs:Depends}
XB-Python-Version: all
Description: Python bindings for libosso library

Package: python-osso-dbg
Architecture: any
Section: debug
Depends: python-osso (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for python-osso

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,26 @@
 DEB_DH_INSTALL_ARGS := --sourcedir=$(DEB_DESTDIR)
 DEB_PYTHON_INSTALL_ARGS_ALL = --no-compile -O0
 
+DEB_DH_STRIP_ARGS := --dbg-package=python-osso-dbg
+
+build/python-osso-dbg::
+	set -e; \
+	for i in $(cdbs_python_build_versions); do \
+		python$$i-dbg ./setup.py build; \
+	done
+
+install/python-osso-dbg::
+	for i in $(cdbs_python_build_versions); do \
+		python$$i-dbg ./setup.py install --root=$(CURDIR)/debian/python-osso-dbg --install-layout=deb; \
+	done
+	find debian/python-osso-dbg \
+		! -type d ! -name '*_d.so' | xargs rm -f
+	find debian/python-osso-dbg -depth -empty -exec rmdir {} \;
+
+binary-predeb/python-osso-dbg::
+	rm -rf debian/python-osso-dbg/usr/share/doc/python-osso-dbg
+	ln -s python-osso debian/python-osso-dbg/usr/share/doc/python-osso-dbg
+
 clean::
 	rm -f $(addsuffix .c,$(basename $(wildcard osso/*.pyx)))
 	find . -name '*.py[co]' -exec rm '{}' ';'
